/*
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   ### File Specific:
   main-programmer: Patrick Boenzli
   co-programmer: ...
*/

#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_COLLISION

#include "obb.h"
#include "list.h"
#include "vector.h"

using namespace std;


/**
   \brief standard constructor
*/
OBB::OBB ()
{
   this->setClassID(CL_OBB, "OBB");
   this->axis = new Vector[3];
   this->halfLength = new float[3];
   this->bCollided = false;
}


/**
   \brief standard deconstructor

*/
OBB::~OBB ()
{
  // delete what has to be deleted here
  delete [] this->axis;
  delete [] this->halfLength;
}



void OBB::mergeWith(const BoundingVolume &bv)
{}


void OBB::drawBV(int currentDepth, int drawMode) const
{}


